installazione tethereal su FreeBSD 4.4

Guido Falsi mad a madpilot.net
Gio 8 Set 2005 19:52:38 CEST


On Thu, Sep 08, 2005 at 05:14:52PM +0200, Giuseppe wrote:
> ciao,
> sto provando ad installare tethereal-lite-0.10.12 su FreeBSD 4.4.
> Ho installato correttamente il pacchetto ma quando provo ad eseguire tethereal ho questo tipo di errore:
> /usr/libexec/ld-elf.so.1: Shared object "libcrypto.so.3" not found.
> cosa posso fare?

Aggiornare a 4.11 o instalare tramite port, compilando il
sorgente(sempre ammesso che vada)

la 4.4 e' obsoleta e non piu' supportata in alcun modo. l'albero dei
ports e i pkg binari che ne derivano supportano solo le ultime release
per ogni albero(attualmente 4.11, 5.4 e 6.0-BETA4, la 7-CURRENT
meriterebbe una trattazione a parte).

I pkg binari per loro natura sono molto piu' legati alla versione del
sistema su cui sono creati, i port invec salvo incompatibilita'
specifiche hanno piu' speranze di funzionare su release obsolete...Ma
non ci sono garanzie assolute.

Nel tuo caso il problema e' causato dal fatto che in qualche punto
dell'evoluzione della 4.x la libcrypto deve avere cambiato dalla
versione 2 alla versione 3, quidni un pkg compilato per la 4.11 si
aspetta la libcrypto.so.3, e non accetta la .2.

Altamente sconsigliato risolvere con l'accrocchio del softlink.

-- 
Guido Falsi <mad a madpilot.net>


Maggiori informazioni sulla lista aiuto